Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QShowEvent Class Reference

The QShowEvent class provides an event which is sent when a widget is shown. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QShowEvent ()

## Detailed Description

The QShowEvent class provides an event which is sent when a widget is shown.

There are two kinds of show events: show events caused by the window system (spontaneous) and internal show events. Spontaneous show events are sent just after the window system shows the window, including after a top-level window has been shown (un-iconified) by the user. Internal show events are delivered just before the widget becomes visible.

See also QHideEvent and Event Classes.

## Member Function Documentation

### QShowEvent::QShowEvent ()

Constructs a QShowEvent.

This file is part of the Qt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.